(function() {

	//Scene_Map

	var _Scene_Map_start = Scene_Map.prototype.start;
	Scene_Map.prototype.start = function() {
		_Scene_Map_start.call(this);
		this._myWindow = new My_Window(0, 480)
		this.addWindow(this._myWindow);
	};
	
	var _Scene_Map_update = Scene_Map.prototype.update;
	Scene_Map.prototype.update = function() {
		_Scene_Map_update.call(this);
		
		this._myWindow.refresh();
		
	};

	//My_Window
	
	function My_Window() {
		this.initialize.apply(this,arguments);
	};
	
	My_Window.prototype = Object.create(Window_Base.prototype);
	My_Window.prototype.constructor = My_Window;
	
	My_Window.prototype.initialize = function(x, y) {
		Window_Base.prototype.initialize.call(this, x, y, this.windowWidth(), this.windowHeight());	
	
		this.refresh();
	};
	
	My_Window.prototype.refresh = function() {
		this.contents.clear();
		this.drawIcon(1, 0, 0);
		this.drawIcon(4, 100, 0);
		this.drawIcon(2, 200, 0);
		this.drawIcon(8, 300, 0);
		this.drawIcon(6, 400, 0);
		this.drawIcon(9, 500, 0);
		this.drawIcon(5, 600, 0);
		this.drawText($gameVariables.value(1), 38, 0, this.windowWidth(), 'left')
			this.drawText($gameVariables.value(15), 38, 35, this.windowWidth(), 'left')
		this.drawText($gameVariables.value(2), 138, 0, this.windowWidth(), 'left')
			this.drawText($gameVariables.value(20), 138, 35, this.windowWidth(), 'left')
		this.drawText($gameVariables.value(3), 238, 0, this.windowWidth(), 'left')
			this.drawText($gameVariables.value(17), 238, 35, this.windowWidth(), 'left')
		this.drawText($gameVariables.value(4), 338, 0, this.windowWidth(), 'left')
			this.drawText($gameVariables.value(18), 338, 35, this.windowWidth(), 'left')
		this.drawText($gameVariables.value(34), 438, 0, this.windowWidth(), 'left')
		this.drawText($gameVariables.value(5), 538, 0, this.windowWidth(), 'left')
		this.drawText($gameVariables.value(6), 638, 0, this.windowWidth(), 'left')
	
	};
	
	My_Window.prototype.windowWidth = function() {
		return 1024;
	};
	
	My_Window.prototype.windowHeight = function() {
		return 96;
	};
	
	
})();